All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::Problem< F, boost::mpl::vector<> > Class Template Reference
Optimization problems

`#include <roboptim/core/problem.hh>`

## Public Types

typedef F | function_t
| Function type. More...
typedef function_t::value_type | value_type
typedef boost::optional < Function::vector_t > | startingPoint_t
| Optional vector defines a starting point. More...
typedef Function::interval_t | interval_t
typedef Function::intervals_t | intervals_t
typedef std::vector< value_type > | scales_t
| Scale vector. More...

## Public Member Functions

std::ostream & | print (std::ostream &o) const throw ()
| Display the problem on the specified output stream. More...
Constructors and destructors.
| Problem (const function_t &) throw ()
| Problem (const Problem< F, boost::mpl::vector<> > &) throw ()
| Copy constructor. More...
template<typename F_ >
| Problem (const Problem< F_, boost::mpl::vector<> > &) throw ()
| Copy constructor (convert from another class of problem). More...
| ~Problem () throw ()
Cost function.
const function_t & | function () const throw ()
| Retrieve cost function. More...
intervals_t & | argumentBounds () throw ()
| Retrieve arguments bounds. More...
const intervals_t & | argumentBounds () const throw ()
| Retrieve arguments bounds. More...
scales_t & | argumentScales () throw ()
| Retrieve arguments scales. More...
const scales_t & | argumentScales () const throw ()
| Retrieve arguments scales. More...
Starting point (initial guess).
startingPoint_t & | startingPoint () throw ()
| Set the initial guess. More...
const startingPoint_t & | startingPoint () const throw ()
| Get the initial guess. More...

## Friends

template<typename F_ , typename CLIST_ >
class | Problem